Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XMLDeclPI

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XMLNode
            |
            +--oracle.xml.parser.v2.CharData
                  |
                  +--oracle.xml.parser.v2.XMLPI
                        |
                        +--oracle.xml.parser.v2.XMLDeclPI

All Implemented Interfaces:
  CharacterData, CharacterDataEditVAL, java.lang.Cloneable, EventTarget, java.io.Externalizable, Node, NodeEditVAL, ProcessingInstruction, java.io.Serializable

public class XMLDeclPI
extends XMLPI
implements java.io.Externalizable

This class implements the XML Decl Processing Instruction.

See Also:
  `ProcessingInstruction`, Serialized Form

Field Summary

Fields inherited from class oracle.xml.parser.v2.XMLNode
`ATTRDECL, Auto_Events, capturing, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XMLDECL_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Constructor Summary
`XMLDeclPI()`
`XMLDeclPI(java.lang.String version, java.lang.String encoding, java.lang.String standalone, boolean textDecl)`

Method Summary
`java.lang.String` | `getData()` Returns the fully constructed string 'version=1.0 ....'
`java.lang.String` | `getEncoding()` Retrieves the character encoding information.
`java.lang.String` | `getNodeValue()` Gets the value of this node
`java.lang.String` | `getStandalone()` Retrieves the standalone information.
`java.lang.String` | `getVersion()` Retrieves the version information.
`void` | `readExternal(java.io.ObjectInput inArg)` This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
`void` | `setEncoding(java.lang.String encoding)` Sets the character encoding for output.
`boolean` | `setStandalone(java.lang.String value)` Sets the standalone information stored in the <?
`void` | `setVersion(java.lang.String version)` Sets the version number stored in the <?
`void` | `writeExternal(java.io.ObjectOutput outArg)` This method saves the state of the object by creating a binary compressed stream with information about this object.

Methods inherited from class oracle.xml.parser.v2.XMLPI
`addText, appendData, canAppendData, canDeleteData, canInsertData, canReplaceData, canSetData, deleteData, getLength, getNodeName, getNodeType, getTarget, insertData, isWhitespaceOnly, nodeValidity, replaceData, reportSAXEvents, setData, setNodeValue, substringData`

Methods inherited from class oracle.xml.parser.v2.XMLNode
`addEventListener, addText, appendChild, canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, cloneNode, dispatchEvent, getAttributes, getChildNodes, getColumnNumber, getDebugMode, getDefaultValue, getEnumeratedValues, getFirstChild, getLastChild, getLineNumber, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveTypeId, getProperty, getSystemId, getText, getXMLError, hasAttributes, hasChildNodes, insertBefore, isDocumentFlag, isNodeFlag, isSupported, nodeValidity, normalize, print, print, print, print, removeChild, removeEventListener, replaceChild, resetNodeFlag, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setNodeFlag, setNodeFlag, setNodeFlag, setPrefix, setProperty, transformNode, valueOf, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.ProcessingInstruction
`setData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.validation.NodeEditVAL
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, getDefaultValue, getEnumeratedValues, nodeValidity`

Constructor Detail

### XMLDeclPI

    public XMLDeclPI()

### XMLDeclPI

    public XMLDeclPI(java.lang.String version,
                     java.lang.String encoding,
                     java.lang.String standalone,
                     boolean textDecl)

Method Detail

### getData

    public java.lang.String getData()
                             throws DOMException

  Returns the fully constructed string 'version=1.0 ....'
  Specified by:
    `getData` in interface `ProcessingInstruction`
  Overrides:
    `getData` in class `oracle.xml.parser.v2.CharData`
  Returns:
    the nodevalue
  Throws:
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  Gets the value of this node
  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `oracle.xml.parser.v2.CharData`
  Returns:
    the nodevalue
  Throws:
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation

### getVersion

    public final java.lang.String getVersion()

  Retrieves the version information.
  Returns:
    the version number stored in the <?xml ...?> tag.

### setVersion

    public final void setVersion(java.lang.String version)

  Sets the version number stored in the <?xml ...?> tag.
  Parameters:
    `version` - The version information to set.

### getEncoding

    public final java.lang.String getEncoding()

  Retrieves the character encoding information.
  Returns:
    the encoding information stored in the <?xml ...?> tag or the user-defined output encoding if it has been more recently set.

### setEncoding

    public final void setEncoding(java.lang.String encoding)

  Sets the character encoding for output. Eventually it sets the ENCODING stored in the <?xml ...?> tag, but not until the document is saved. You should not call this method until the Document has been loaded.
  Parameters:
    `encoding` - The character encoding to set

### getStandalone

    public final java.lang.String getStandalone()

  Retrieves the standalone information.
  Returns:
    the standalone attribute stored in the <?xml ...?> tag.

### setStandalone

    public final boolean setStandalone(java.lang.String value)

  Sets the standalone information stored in the <?xml ...?> tag.
  Parameters:
    `value` - The attribute value ('yes' or 'no').

### writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `XMLPI`
  Parameters:
    `outArg` - is the ObjectOutput stream used to write the compressed stream.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the compressed stream.

### readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `XMLPI`
  Parameters:
    `inArg` - The ObjectInput stream used for reading the compressed stream
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.